QUEEQUEG(1)

NAME
queequeg - Formatted HTML dumper for ishmael

SYNOPSIS
  queequeg [options] [file ...]

DESCRIPTION
queequeg is a script that reads given HTML files and dumps their formatted contents to stdout. It's designed to be ishmael's fallback dumper if no other valid one is installed on your system. It tries to do as minimal formatting as possible, which some users might find preferrable over the more advanced formatting other dumpers are capable of.

When ran with no arguments, reads HTML from stdin.

OPTIONS

-e|--html-encoding=enc
    Force queequeg to use the specified encoding when reading HTML input.

-w|--width=width
    Specify maximum output line width. Defaults to 80.

-h|--help
    Print help message and exit.

RESTRICTIONS
It's slow.

It doesn't do much formatting. It mainly just splits the given file's text into seperate paragraphs and makes sure their contents are within the line width. If more advanced formatting is desired, you should use one of the alternative dumpers ishmael supports.

AUTHOR
Written by Samuel Young, <samyoung12788@gmail.com>.

This project's source can be found on its Codeberg Page <https://codeberg.org/1-1sam/ishmael>. Comments and pull requests are welcome!

COPYRIGHT
Copyright (C) 2025 Samuel Young

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

SEE ALSO
ishmael(1), lynx(1), links(1), elinks(1), w3m(1)